var qm = require('qminer');
var loader = require('qminer-data-loader');;

var base = new qm.Base({
  mode: 'createClean',
  schema: [{
    name: 'Visitors',
    fields: [{ name: 'ID', type: 'string' }],
    joins: [{ name: 'lectures', type: 'index', store: 'Lectures', inverse : 'visitors' }]
  }, {
    name: 'Lectures',
    fields: [{ name: 'Title', type: 'string' }],
    joins: [{ name: 'visitors', type: 'index', store: 'Visitors', inverse: 'lectures'}]
  }]
});
var visitors = base.store('Visitors');
var lectures = base.store('Lectures');
'defined schema';

visitors.loadJson('visits.json', 1000);
'Loaded' + visitors.length + 'visitors and' + lectures.length + 'lectures';
